/*
    explosion.h - Explosino animations.  Completely unnecessary, but fun. 
    Copyright (C) 2006 Mark boyd
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be fun to play,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#ifndef EXPLOSION_H
#define EXPLOSION_H

#include <string>
#include <map>
#include <vector>

#include "movers.h"



class explosion:public mover
{
public:
  explosion(std::vector<SDL_Surface *> *);
  
private:
  void do_stuff(float time_interval);
  SDL_Surface *pic() const;
  int m_frame_index;
  std::vector<SDL_Surface *> *m_frames;
};


class explosion_pool
{
public:
  explosion *get_explosion(const std::string &, SDL_Surface *);
  std::map<std::string, std::vector<SDL_Surface *> > m_explosions;
  ~explosion_pool();
  
};

#endif


