/*
    text.h - draws text on screen
    Copyright (C) 2006 Mark boyd
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be fun to play,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#include <string>
#include <SDL_inc.h>


namespace text
{

//This needs SDL in order to work.
//So init must be called after SDL_SetVideoMode, and exit must be called before SDL_Quit
void init();
void exit();

void draw(const std::string &, SDL_Surface *, int x, int y, Uint32 colour);
void draw_centre(const std::string &, SDL_Surface *, int x, int y, Uint32 colour);
int width(const std::string &);
}
